Subject: Re: [Bitcoin-development] Block Size Increase

From: Peter Todd <[email-masked]>
Date: Thu, 7 May 2015 10:32:34 -0400

On Thu, May 07, 2015 at 10:04:21AM -0400, Jeff Garzik wrote:
> I have a lot more written down, a WIP; here are the highlights.
> 
> - The 1MB limit is an ancient anti-spam limit, and needs to go.
> 
> - The 1MB limit is economically entrenched at this point, and cannot be
> removed at a whim.
> 
> - This is a major change to the economics of a $3.2B system.  This change
> picks winners and losers.  There is attendant moral hazard.
> 
> - The core dev team is not and should not be an FOMC.
> 
> - The bar for "major economic change to a $3.2B system" should necessarily
> be high.  In the more boring world of investments, this would accompanied
> by Due Diligence including but not limited to projections for success,
> failure scenarios, upside risks and downside risks.  Projections and
> fact-based simulations.
> 
> - There are significant disruption risks on the pro (change it) and con
> (keep 1MB) sides of the debate.
> 
> - People are privately lobbying Gavin for this.  That is the wrong way to
> go.   I have pushed for a more public debate, and public endorsements (or
> condemnations) from major miners, merchants, payment processors,
> stackholders, ...   It is unfair to criticize Gavin to doing this.

The hard part here will be including the players who aren't individually
"major", but are collectively important; who is the community?

How do you give the small merchants a voice in this discussion? The
small time traders? The small time miners? The people in repressive
countries who are trying to transact on thier own terms?

Legality? Should people involved in 3rd world remittances be
included? Even if what they're doing is technically illegal? What about
dark markets? If DPR voiced his opinion, should we ignore it?

Personally, I'm dubious about trying to make ecosystem-wide decisions
like this without cryptographic consensus; fuzzy human social consensus
is easy to manipulate.

-- 
'peter'[:-1]@petertodd.org
000000000000000013e67b343b1f6d75cc87dfb54430bdb3bcf66d8d4b3ef6b8